This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 188024 - Default value of LANG variable does not get modified when language is changed in gdm
Default value of LANG variable does not get modified when language is change...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gdm (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-05 09:39 EDT by Runa Bhattacharjee
Modified: 2013-03-03 21:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-05 22:04:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Runa Bhattacharjee 2006-04-05 09:39:34 EDT
Description of problem:

The default value of the LANG variable in /etc/sysconfig/i18n is en_US.UTF-8
although language selected in gdm is Bengali India (bn_IN.UTF-8). Note: The
installation was done via kickstart in en_US locale.

Version-Release number of selected component (if applicable):

Spotted in RHEL4U3

How reproducible:


Steps to Reproduce:
1. Install RHEL4 using en_US locale
2. After installation, in gdm screen, choose Bengali India, set it as default
for the system and log-in.
3.cat /etc/sysconfig/i18n and spot the value of LANG
  
Actual results:

LANG=en_US.UTF-8

Expected results:

LANG=bn_IN.UTF-8


Additional info:
The installation was done via kickstart in en_US locale.
Comment 1 Jens Petersen 2006-04-05 22:04:27 EDT
Err, gdm language selection shouldn't change the system locale,
it is just to control the desktop locale of your X session.

Does "printenv LANG" give you "bn_IN.UTF-8" on your desktop?
Comment 2 Jens Petersen 2006-04-05 22:24:21 EDT
Just to clarify setting default means setting the default desktop locale
for the user logging in - not the system default locale: they are two
completely distinct and unrelated settings.
Comment 3 Runa Bhattacharjee 2006-04-07 00:01:57 EDT
The printenv LANG returns bn_IN.UTF-8.
In case of the system default locale not being set to bn_IN.UTF-8, the settings
in Firefox is not defaulting to Unicode, which is the default for indic locales.
Is this a bug and/or should I report it elsewhere?

Note You need to log in before you can comment on or make changes to this bug.